### Function

# WebKit WebViewSessionState new

since: 2.12

#### Declaration [src]

    WebKitWebViewSessionState*
    webkit_web_view_session_state_new (
      GBytes* data
    )

#### Description [src]

Creates a new `WebKitWebViewSessionState` from serialized data.

Available since: 2.12

#### Parameters

`data`

  Type: `GBytes`

  A `GBytes`.

  The data is owned by the caller of the function.

#### Return value

Type: `WebKitWebViewSessionState`

A new `WebKitWebViewSessionState`, or `NULL` if `data` doesn’t contain a valid serialized `WebKitWebViewSessionState`.

The caller of the function takes ownership of the data, and is responsible for freeing it.